| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_qprc_config Struct Reference
Quadrature Position/Revolution Counter (QPRC)

Structure to configuration QPRC. More...

`#include <qprc.h>`

Collaboration diagram for stc_qprc_config:
[legend]

## Data Fields
boolean_t | bSwapAinBin
| TRUE: Swap AIN and BIN inputs.
en_qprc_compmode_t | enComapreMode
| Description see en_qprc_compmode_t.
en_qprc_zinedge_t | enZinEdge
| Detection mode of the ZIN pin.
en_qprc_binedge_t | enBinEdge
| Detection mode of the BIN pin.
en_qprc_ainedge_t | enAinEdge
| Detection mode of the AIN pin.
en_qprc_pcresetmask_t | enPcResetMask
| Position counter reset mask.
boolean_t | b8KValue
| TRUE: Outrange mode from 0 to 0x7FFF, FALSE: Outrange mode from 0 to 0xFFFF:
stc_qprc_filter_t | stcAinFilter
| AIN noise filter configuration.
stc_qprc_filter_t | stcBinFilter
| BIN noise filter configuration.
stc_qprc_filter_t | stcCinFilter
| CIN noise filter configuration.

## Detailed Description

Structure to configuration QPRC.

Definition at line 352 of file qprc.h.

## Field Documentation

boolean_t b8KValue

TRUE: Outrange mode from 0 to 0x7FFF, FALSE: Outrange mode from 0 to 0xFFFF:

Definition at line 360 of file qprc.h.

Referenced by Qprc_Init().

boolean_t bSwapAinBin

TRUE: Swap AIN and BIN inputs.

Definition at line 354 of file qprc.h.

Referenced by Qprc_Init().

en_qprc_ainedge_t enAinEdge

Detection mode of the AIN pin.

Definition at line 358 of file qprc.h.

Referenced by Qprc_Init().

en_qprc_binedge_t enBinEdge

Detection mode of the BIN pin.

Definition at line 357 of file qprc.h.

Referenced by Qprc_Init().

en_qprc_compmode_t enComapreMode

Description see en_qprc_compmode_t.

Definition at line 355 of file qprc.h.

Referenced by Qprc_Init().

en_qprc_pcresetmask_t enPcResetMask

Position counter reset mask.

Definition at line 359 of file qprc.h.

Referenced by Qprc_Init().

en_qprc_zinedge_t enZinEdge

Detection mode of the ZIN pin.

Definition at line 356 of file qprc.h.

Referenced by Qprc_Init().

stc_qprc_filter_t stcAinFilter

AIN noise filter configuration.

Definition at line 361 of file qprc.h.

Referenced by Qprc_Init().

stc_qprc_filter_t stcBinFilter

BIN noise filter configuration.

Definition at line 362 of file qprc.h.

Referenced by Qprc_Init().

stc_qprc_filter_t stcCinFilter

CIN noise filter configuration.

Definition at line 363 of file qprc.h.

Referenced by Qprc_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/qprc/qprc.h